Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZWishList Class Reference

eZWishList handles shopping wish lists More...

Inheritance diagram for eZWishList:

## Public Member Functions
| discountPercent ()
| itemCount ( $alternativeProductionID=false)
| items ( $asObject=true, $alternativeProductionID=false, $offset=false, $limit=false)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | removeItem ( $itemID)
static | currentWishList ( $asObject=true)
static | cleanup ()
static | removeByUserID ( $userID)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ProductCollectionID
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

eZWishList handles shopping wish lists

See also
  eZProductCollection

Definition at line 19 of file ezwishlist.php.

## Member Function Documentation

## ◆ cleanup()

static eZWishList::cleanup | ( |  | ) |
| static

Removes all wishlists from the database.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 204 of file ezwishlist.php.

References eZProductCollection\cleanupList(), eZPersistentObject\count(), and eZDB\instance().

## ◆ currentWishList()

static eZWishList::currentWishList | ( |  | $asObject = `true` | ) |
| static

Will return the wish list for the current user. If a wish list does not exist one will be created.

Returns
  current eZWishList object

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 169 of file ezwishlist.php.

References eZPersistentObject\count(), eZProductCollection\create(), eZUser\currentUser(), definition(), eZPersistentObject\fetchObjectList(), and eZHTTPTool\instance().

## ◆ definition()

static eZWishList::definition | ( |  | ) |
| static

Returns
  the persistent object definition for the eZCard class.

Reimplemented from eZPersistentObject.

Definition at line 25 of file ezwishlist.php.

Referenced by currentWishList(), eZContentObject\purge(), and removeByUserID().

## ◆ discountPercent()

eZWishList::discountPercent | ( |  | ) |

Definition at line 53 of file ezwishlist.php.

References eZUser\currentUser(), eZContentObjectTreeNode\fetchByContentObjectID(), and eZUserDiscountRule\fetchByUserIDArray().

## ◆ itemCount()

eZWishList::itemCount | ( |  | $alternativeProductionID = `false` | ) |

Definition at line 76 of file ezwishlist.php.

References eZProductCollectionItem\definition(), and eZPersistentObject\fetchObjectList().

## ◆ items()

eZWishList::items | ( |  | $asObject = `true`,
|  |  | $alternativeProductionID = `false`,
|  |  | $offset = `false`,
|  |  | $limit = `false`
| ) |  |

Definition at line 92 of file ezwishlist.php.

References eZProductCollectionItem\definition(), and eZPersistentObject\fetchObjectList().

## ◆ removeByUserID()

static eZWishList::removeByUserID | ( |  | $userID | ) |
| static

Remove wish list entries belonging to user $userID

Definition at line 225 of file ezwishlist.php.

References definition(), and eZPersistentObject\removeObject().

Referenced by eZUser\removeUser().

## ◆ removeItem()

static eZWishList::removeItem | ( |  | $itemID | ) |
| static

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 157 of file ezwishlist.php.

References eZProductCollectionItem\fetch().

## Member Data Documentation

## ◆ $ProductCollectionID

eZWishList::$ProductCollectionID

Definition at line 21 of file ezwishlist.php.

The documentation for this class was generated from the following file:

- ezwishlist.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.